aboutsummaryrefslogtreecommitdiff
path: root/shell
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2016-10-03 00:51:29 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2016-10-03 00:51:29 +0200
commit2feaa227a4ddbf642207beebe7ac5ce85c57f018 (patch)
tree39e469a3bbdcac9d85e0615685f90999d044266a /shell
parent9793fc576afa25715cf75c121dbfd9da1e053b0a (diff)
downloadbusybox-2feaa227a4ddbf642207beebe7ac5ce85c57f018.tar.gz
shell: delete all msh tests
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'shell')
-rw-r--r--shell/msh_test/msh-bugs/noeol3.right1
-rwxr-xr-xshell/msh_test/msh-bugs/noeol3.tests2
-rw-r--r--shell/msh_test/msh-bugs/process_subst.right3
-rwxr-xr-xshell/msh_test/msh-bugs/process_subst.tests3
-rw-r--r--shell/msh_test/msh-bugs/read.right4
-rwxr-xr-xshell/msh_test/msh-bugs/read.tests4
-rw-r--r--shell/msh_test/msh-bugs/shift.right6
-rwxr-xr-xshell/msh_test/msh-bugs/shift.tests14
-rw-r--r--shell/msh_test/msh-bugs/starquoted.right8
-rwxr-xr-xshell/msh_test/msh-bugs/starquoted.tests8
-rw-r--r--shell/msh_test/msh-bugs/syntax_err.right2
-rwxr-xr-xshell/msh_test/msh-bugs/syntax_err.tests3
-rw-r--r--shell/msh_test/msh-bugs/var_expand_in_assign.right5
-rwxr-xr-xshell/msh_test/msh-bugs/var_expand_in_assign.tests15
-rw-r--r--shell/msh_test/msh-bugs/var_expand_in_redir.right3
-rwxr-xr-xshell/msh_test/msh-bugs/var_expand_in_redir.tests13
-rw-r--r--shell/msh_test/msh-execution/exitcode_EACCES.right2
-rwxr-xr-xshell/msh_test/msh-execution/exitcode_EACCES.tests2
-rw-r--r--shell/msh_test/msh-execution/exitcode_ENOENT.right2
-rwxr-xr-xshell/msh_test/msh-execution/exitcode_ENOENT.tests2
-rw-r--r--shell/msh_test/msh-execution/many_continues.right1
-rwxr-xr-xshell/msh_test/msh-execution/many_continues.tests15
-rw-r--r--shell/msh_test/msh-execution/nested_break.right8
-rwxr-xr-xshell/msh_test/msh-execution/nested_break.tests17
-rw-r--r--shell/msh_test/msh-misc/tick.right2
-rwxr-xr-xshell/msh_test/msh-misc/tick.tests4
-rw-r--r--shell/msh_test/msh-parsing/argv0.right1
-rwxr-xr-xshell/msh_test/msh-parsing/argv0.tests4
-rw-r--r--shell/msh_test/msh-parsing/noeol.right1
-rwxr-xr-xshell/msh_test/msh-parsing/noeol.tests2
-rw-r--r--shell/msh_test/msh-parsing/noeol2.right1
-rwxr-xr-xshell/msh_test/msh-parsing/noeol2.tests7
-rw-r--r--shell/msh_test/msh-parsing/quote1.right1
-rwxr-xr-xshell/msh_test/msh-parsing/quote1.tests2
-rw-r--r--shell/msh_test/msh-parsing/quote2.right1
-rwxr-xr-xshell/msh_test/msh-parsing/quote2.tests2
-rw-r--r--shell/msh_test/msh-parsing/quote3.right3
-rwxr-xr-xshell/msh_test/msh-parsing/quote3.tests8
-rw-r--r--shell/msh_test/msh-parsing/quote4.right1
-rwxr-xr-xshell/msh_test/msh-parsing/quote4.tests2
-rw-r--r--shell/msh_test/msh-vars/star.right6
-rwxr-xr-xshell/msh_test/msh-vars/star.tests8
-rw-r--r--shell/msh_test/msh-vars/var.right4
-rwxr-xr-xshell/msh_test/msh-vars/var.tests9
-rw-r--r--shell/msh_test/msh-vars/var_subst_in_for.right40
-rwxr-xr-xshell/msh_test/msh-vars/var_subst_in_for.tests40
-rwxr-xr-xshell/msh_test/run-all64
47 files changed, 0 insertions, 356 deletions
diff --git a/shell/msh_test/msh-bugs/noeol3.right b/shell/msh_test/msh-bugs/noeol3.right
deleted file mode 100644
index 56f8515b7..000000000
--- a/shell/msh_test/msh-bugs/noeol3.right
+++ /dev/null
@@ -1 +0,0 @@
-hush: syntax error: unterminated "
diff --git a/shell/msh_test/msh-bugs/noeol3.tests b/shell/msh_test/msh-bugs/noeol3.tests
deleted file mode 100755
index ec958ed7a..000000000
--- a/shell/msh_test/msh-bugs/noeol3.tests
+++ /dev/null
@@ -1,2 +0,0 @@
-# last line has no EOL!
-echo "unterminated \ No newline at end of file
diff --git a/shell/msh_test/msh-bugs/process_subst.right b/shell/msh_test/msh-bugs/process_subst.right
deleted file mode 100644
index 397bc8067..000000000
--- a/shell/msh_test/msh-bugs/process_subst.right
+++ /dev/null
@@ -1,3 +0,0 @@
-TESTzzBEST
-TEST$(echo zz)BEST
-TEST'BEST
diff --git a/shell/msh_test/msh-bugs/process_subst.tests b/shell/msh_test/msh-bugs/process_subst.tests
deleted file mode 100755
index 21996bc0e..000000000
--- a/shell/msh_test/msh-bugs/process_subst.tests
+++ /dev/null
@@ -1,3 +0,0 @@
-echo "TEST`echo zz;echo;echo`BEST"
-echo "TEST`echo '$(echo zz)'`BEST"
-echo "TEST`echo "'"`BEST"
diff --git a/shell/msh_test/msh-bugs/read.right b/shell/msh_test/msh-bugs/read.right
deleted file mode 100644
index 0e50e2a23..000000000
--- a/shell/msh_test/msh-bugs/read.right
+++ /dev/null
@@ -1,4 +0,0 @@
-read
-cat
-echo "REPLY=$REPLY"
-REPLY=exec <read.tests
diff --git a/shell/msh_test/msh-bugs/read.tests b/shell/msh_test/msh-bugs/read.tests
deleted file mode 100755
index ff1acbde1..000000000
--- a/shell/msh_test/msh-bugs/read.tests
+++ /dev/null
@@ -1,4 +0,0 @@
-exec <read.tests
-read
-cat
-echo "REPLY=$REPLY"
diff --git a/shell/msh_test/msh-bugs/shift.right b/shell/msh_test/msh-bugs/shift.right
deleted file mode 100644
index d281e358c..000000000
--- a/shell/msh_test/msh-bugs/shift.right
+++ /dev/null
@@ -1,6 +0,0 @@
-./shift.tests abc d e
-./shift.tests d e 123
-./shift.tests d e 123
-./shift.tests
-./shift.tests
-./shift.tests
diff --git a/shell/msh_test/msh-bugs/shift.tests b/shell/msh_test/msh-bugs/shift.tests
deleted file mode 100755
index 53ef249f2..000000000
--- a/shell/msh_test/msh-bugs/shift.tests
+++ /dev/null
@@ -1,14 +0,0 @@
-if test $# = 0; then
- exec "$THIS_SH" $0 abc "d e" 123
-fi
-echo $0 $1 $2
-shift
-echo $0 $1 $2
-shift 999
-echo $0 $1 $2
-shift 2
-echo $0 $1 $2
-shift 2
-echo $0 $1 $2
-shift
-echo $0 $1 $2
diff --git a/shell/msh_test/msh-bugs/starquoted.right b/shell/msh_test/msh-bugs/starquoted.right
deleted file mode 100644
index b56323fe1..000000000
--- a/shell/msh_test/msh-bugs/starquoted.right
+++ /dev/null
@@ -1,8 +0,0 @@
-.1 abc d e f.
-.1.
-.abc.
-.d e f.
-.-1 abc d e f-.
-.-1.
-.abc.
-.d e f-.
diff --git a/shell/msh_test/msh-bugs/starquoted.tests b/shell/msh_test/msh-bugs/starquoted.tests
deleted file mode 100755
index 2fe49b1cd..000000000
--- a/shell/msh_test/msh-bugs/starquoted.tests
+++ /dev/null
@@ -1,8 +0,0 @@
-if test $# = 0; then
- exec "$THIS_SH" "$0" 1 abc 'd e f'
-fi
-
-for a in "$*"; do echo ".$a."; done
-for a in "$@"; do echo ".$a."; done
-for a in "-$*-"; do echo ".$a."; done
-for a in "-$@-"; do echo ".$a."; done
diff --git a/shell/msh_test/msh-bugs/syntax_err.right b/shell/msh_test/msh-bugs/syntax_err.right
deleted file mode 100644
index 08a270c31..000000000
--- a/shell/msh_test/msh-bugs/syntax_err.right
+++ /dev/null
@@ -1,2 +0,0 @@
-shown
-hush: syntax error: unterminated '
diff --git a/shell/msh_test/msh-bugs/syntax_err.tests b/shell/msh_test/msh-bugs/syntax_err.tests
deleted file mode 100755
index d10ed42e9..000000000
--- a/shell/msh_test/msh-bugs/syntax_err.tests
+++ /dev/null
@@ -1,3 +0,0 @@
-echo shown
-echo test `echo 'aa`
-echo not shown
diff --git a/shell/msh_test/msh-bugs/var_expand_in_assign.right b/shell/msh_test/msh-bugs/var_expand_in_assign.right
deleted file mode 100644
index 352210d7e..000000000
--- a/shell/msh_test/msh-bugs/var_expand_in_assign.right
+++ /dev/null
@@ -1,5 +0,0 @@
-. .
-.abc d e.
-.abc d e.
-.abc d e.
-.abc d e.
diff --git a/shell/msh_test/msh-bugs/var_expand_in_assign.tests b/shell/msh_test/msh-bugs/var_expand_in_assign.tests
deleted file mode 100755
index 18cdc74c0..000000000
--- a/shell/msh_test/msh-bugs/var_expand_in_assign.tests
+++ /dev/null
@@ -1,15 +0,0 @@
-if test $# = 0; then
- exec "$THIS_SH" "$0" abc "d e"
-fi
-
-space=' '
-echo .$space.
-
-a=$*
-echo .$a.
-a=$@
-echo .$a.
-a="$*"
-echo .$a.
-a="$@"
-echo .$a.
diff --git a/shell/msh_test/msh-bugs/var_expand_in_redir.right b/shell/msh_test/msh-bugs/var_expand_in_redir.right
deleted file mode 100644
index 423299c97..000000000
--- a/shell/msh_test/msh-bugs/var_expand_in_redir.right
+++ /dev/null
@@ -1,3 +0,0 @@
-TEST1
-TEST2
-TEST3
diff --git a/shell/msh_test/msh-bugs/var_expand_in_redir.tests b/shell/msh_test/msh-bugs/var_expand_in_redir.tests
deleted file mode 100755
index bda6bdd7f..000000000
--- a/shell/msh_test/msh-bugs/var_expand_in_redir.tests
+++ /dev/null
@@ -1,13 +0,0 @@
-if test $# = 0; then
- exec "$THIS_SH" "$0" abc "d e"
-fi
-
-echo TEST1 >"$1.out"
-echo TEST2 >"$2.out"
-# bash says: "$@.out": ambiguous redirect
-# ash handles it as if it is '$*' - we do the same
-echo TEST3 >"$@.out"
-
-cat abc.out "d e.out" "abc d e.out"
-
-rm abc.out "d e.out" "abc d e.out"
diff --git a/shell/msh_test/msh-execution/exitcode_EACCES.right b/shell/msh_test/msh-execution/exitcode_EACCES.right
deleted file mode 100644
index 6e5480b9d..000000000
--- a/shell/msh_test/msh-execution/exitcode_EACCES.right
+++ /dev/null
@@ -1,2 +0,0 @@
-./: can't execute
-126
diff --git a/shell/msh_test/msh-execution/exitcode_EACCES.tests b/shell/msh_test/msh-execution/exitcode_EACCES.tests
deleted file mode 100755
index 26b5c6116..000000000
--- a/shell/msh_test/msh-execution/exitcode_EACCES.tests
+++ /dev/null
@@ -1,2 +0,0 @@
-./
-echo $?
diff --git a/shell/msh_test/msh-execution/exitcode_ENOENT.right b/shell/msh_test/msh-execution/exitcode_ENOENT.right
deleted file mode 100644
index dd49d2c0c..000000000
--- a/shell/msh_test/msh-execution/exitcode_ENOENT.right
+++ /dev/null
@@ -1,2 +0,0 @@
-./does_not_exist_for_sure: not found
-127
diff --git a/shell/msh_test/msh-execution/exitcode_ENOENT.tests b/shell/msh_test/msh-execution/exitcode_ENOENT.tests
deleted file mode 100755
index 7f1b88a99..000000000
--- a/shell/msh_test/msh-execution/exitcode_ENOENT.tests
+++ /dev/null
@@ -1,2 +0,0 @@
-./does_not_exist_for_sure
-echo $?
diff --git a/shell/msh_test/msh-execution/many_continues.right b/shell/msh_test/msh-execution/many_continues.right
deleted file mode 100644
index d86bac9de..000000000
--- a/shell/msh_test/msh-execution/many_continues.right
+++ /dev/null
@@ -1 +0,0 @@
-OK
diff --git a/shell/msh_test/msh-execution/many_continues.tests b/shell/msh_test/msh-execution/many_continues.tests
deleted file mode 100755
index 86c729abc..000000000
--- a/shell/msh_test/msh-execution/many_continues.tests
+++ /dev/null
@@ -1,15 +0,0 @@
-if test $# = 0; then
- # Child will kill us in 1 second
- "$THIS_SH" "$0" $$ &
-
- # Loop many, many times
- trap 'echo OK; exit 0' 15
- while true; do
- continue
- done
- echo BAD
- exit 1
-fi
-
-sleep 1
-kill $1
diff --git a/shell/msh_test/msh-execution/nested_break.right b/shell/msh_test/msh-execution/nested_break.right
deleted file mode 100644
index 4e8b6b0f2..000000000
--- a/shell/msh_test/msh-execution/nested_break.right
+++ /dev/null
@@ -1,8 +0,0 @@
-A
-B
-iteration
-C
-A
-B
-iteration
-D
diff --git a/shell/msh_test/msh-execution/nested_break.tests b/shell/msh_test/msh-execution/nested_break.tests
deleted file mode 100755
index 1a954d227..000000000
--- a/shell/msh_test/msh-execution/nested_break.tests
+++ /dev/null
@@ -1,17 +0,0 @@
-# Testcase for http://bugs.busybox.net/view.php?id=846
-
-n=0
-while :
-do
- echo A
- while :
- do
- echo B
- break
- done
- echo iteration
- [ $n = 1 ] && break
- echo C
- n=`expr $n + 1`
-done
-echo D
diff --git a/shell/msh_test/msh-misc/tick.right b/shell/msh_test/msh-misc/tick.right
deleted file mode 100644
index 6ed281c75..000000000
--- a/shell/msh_test/msh-misc/tick.right
+++ /dev/null
@@ -1,2 +0,0 @@
-1
-1
diff --git a/shell/msh_test/msh-misc/tick.tests b/shell/msh_test/msh-misc/tick.tests
deleted file mode 100755
index 1f749a9cd..000000000
--- a/shell/msh_test/msh-misc/tick.tests
+++ /dev/null
@@ -1,4 +0,0 @@
-true
-false; echo `echo $?`
-true
-{ false; echo `echo $?`; }
diff --git a/shell/msh_test/msh-parsing/argv0.right b/shell/msh_test/msh-parsing/argv0.right
deleted file mode 100644
index d86bac9de..000000000
--- a/shell/msh_test/msh-parsing/argv0.right
+++ /dev/null
@@ -1 +0,0 @@
-OK
diff --git a/shell/msh_test/msh-parsing/argv0.tests b/shell/msh_test/msh-parsing/argv0.tests
deleted file mode 100755
index f5c40f6fe..000000000
--- a/shell/msh_test/msh-parsing/argv0.tests
+++ /dev/null
@@ -1,4 +0,0 @@
-if test $# = 0; then
- exec "$THIS_SH" "$0" arg
-fi
-echo OK
diff --git a/shell/msh_test/msh-parsing/noeol.right b/shell/msh_test/msh-parsing/noeol.right
deleted file mode 100644
index e427984d4..000000000
--- a/shell/msh_test/msh-parsing/noeol.right
+++ /dev/null
@@ -1 +0,0 @@
-HELLO
diff --git a/shell/msh_test/msh-parsing/noeol.tests b/shell/msh_test/msh-parsing/noeol.tests
deleted file mode 100755
index a93113a03..000000000
--- a/shell/msh_test/msh-parsing/noeol.tests
+++ /dev/null
@@ -1,2 +0,0 @@
-# next line has no EOL!
-echo HELLO \ No newline at end of file
diff --git a/shell/msh_test/msh-parsing/noeol2.right b/shell/msh_test/msh-parsing/noeol2.right
deleted file mode 100644
index d00491fd7..000000000
--- a/shell/msh_test/msh-parsing/noeol2.right
+++ /dev/null
@@ -1 +0,0 @@
-1
diff --git a/shell/msh_test/msh-parsing/noeol2.tests b/shell/msh_test/msh-parsing/noeol2.tests
deleted file mode 100755
index 1220f056f..000000000
--- a/shell/msh_test/msh-parsing/noeol2.tests
+++ /dev/null
@@ -1,7 +0,0 @@
-# last line has no EOL!
-if true
-then
- echo 1
-else
- echo 2
-fi \ No newline at end of file
diff --git a/shell/msh_test/msh-parsing/quote1.right b/shell/msh_test/msh-parsing/quote1.right
deleted file mode 100644
index cb382054c..000000000
--- a/shell/msh_test/msh-parsing/quote1.right
+++ /dev/null
@@ -1 +0,0 @@
-'1'
diff --git a/shell/msh_test/msh-parsing/quote1.tests b/shell/msh_test/msh-parsing/quote1.tests
deleted file mode 100755
index f55895466..000000000
--- a/shell/msh_test/msh-parsing/quote1.tests
+++ /dev/null
@@ -1,2 +0,0 @@
-a=1
-echo "'$a'"
diff --git a/shell/msh_test/msh-parsing/quote2.right b/shell/msh_test/msh-parsing/quote2.right
deleted file mode 100644
index 3bc9edcd6..000000000
--- a/shell/msh_test/msh-parsing/quote2.right
+++ /dev/null
@@ -1 +0,0 @@
->1
diff --git a/shell/msh_test/msh-parsing/quote2.tests b/shell/msh_test/msh-parsing/quote2.tests
deleted file mode 100755
index bd966f30b..000000000
--- a/shell/msh_test/msh-parsing/quote2.tests
+++ /dev/null
@@ -1,2 +0,0 @@
-a=1
-echo ">$a"
diff --git a/shell/msh_test/msh-parsing/quote3.right b/shell/msh_test/msh-parsing/quote3.right
deleted file mode 100644
index 069a46e8f..000000000
--- a/shell/msh_test/msh-parsing/quote3.right
+++ /dev/null
@@ -1,3 +0,0 @@
-Testing: in $empty""
-..
-Finished
diff --git a/shell/msh_test/msh-parsing/quote3.tests b/shell/msh_test/msh-parsing/quote3.tests
deleted file mode 100755
index 075e78570..000000000
--- a/shell/msh_test/msh-parsing/quote3.tests
+++ /dev/null
@@ -1,8 +0,0 @@
-if test $# = 0; then
- exec "$THIS_SH" quote3.tests abc "d e"
-fi
-
-echo 'Testing: in $empty""'
-empty=''
-for a in $empty""; do echo ".$a."; done
-echo Finished
diff --git a/shell/msh_test/msh-parsing/quote4.right b/shell/msh_test/msh-parsing/quote4.right
deleted file mode 100644
index b2901ea97..000000000
--- a/shell/msh_test/msh-parsing/quote4.right
+++ /dev/null
@@ -1 +0,0 @@
-a b
diff --git a/shell/msh_test/msh-parsing/quote4.tests b/shell/msh_test/msh-parsing/quote4.tests
deleted file mode 100755
index f1dabfa54..000000000
--- a/shell/msh_test/msh-parsing/quote4.tests
+++ /dev/null
@@ -1,2 +0,0 @@
-a_b='a b'
-echo "$a_b"
diff --git a/shell/msh_test/msh-vars/star.right b/shell/msh_test/msh-vars/star.right
deleted file mode 100644
index 0ecc55bc2..000000000
--- a/shell/msh_test/msh-vars/star.right
+++ /dev/null
@@ -1,6 +0,0 @@
-.1.
-.abc.
-.d.
-.e.
-.f.
-.1 abc d e f.
diff --git a/shell/msh_test/msh-vars/star.tests b/shell/msh_test/msh-vars/star.tests
deleted file mode 100755
index 5554c4090..000000000
--- a/shell/msh_test/msh-vars/star.tests
+++ /dev/null
@@ -1,8 +0,0 @@
-if test $# = 0; then
- exec "$THIS_SH" star.tests 1 abc 'd e f'
-fi
-# 'd e f' should be split into 3 separate args:
-for a in $*; do echo ".$a."; done
-
-# must produce .1 abc d e f.
-for a in "$*"; do echo ".$a."; done
diff --git a/shell/msh_test/msh-vars/var.right b/shell/msh_test/msh-vars/var.right
deleted file mode 100644
index 14b2314d9..000000000
--- a/shell/msh_test/msh-vars/var.right
+++ /dev/null
@@ -1,4 +0,0 @@
-http://busybox.net
-http://busybox.net_abc
-1
-1
diff --git a/shell/msh_test/msh-vars/var.tests b/shell/msh_test/msh-vars/var.tests
deleted file mode 100755
index 0a63696c9..000000000
--- a/shell/msh_test/msh-vars/var.tests
+++ /dev/null
@@ -1,9 +0,0 @@
-URL=http://busybox.net
-
-echo $URL
-echo ${URL}_abc
-
-true
-false; echo $?
-true
-{ false; echo $?; }
diff --git a/shell/msh_test/msh-vars/var_subst_in_for.right b/shell/msh_test/msh-vars/var_subst_in_for.right
deleted file mode 100644
index c8aca1c12..000000000
--- a/shell/msh_test/msh-vars/var_subst_in_for.right
+++ /dev/null
@@ -1,40 +0,0 @@
-Testing: in x y z
-.x.
-.y.
-.z.
-Testing: in u $empty v
-.u.
-.v.
-Testing: in u " $empty" v
-.u.
-. .
-.v.
-Testing: in u $empty $empty$a v
-.u.
-.a.
-.v.
-Testing: in $a_b
-.a.
-.b.
-Testing: in $*
-.abc.
-.d.
-.e.
-Testing: in $@
-.abc.
-.d.
-.e.
-Testing: in -$*-
-.-abc.
-.d.
-.e-.
-Testing: in -$@-
-.-abc.
-.d.
-.e-.
-Testing: in $a_b -$a_b-
-.a.
-.b.
-.-a.
-.b-.
-Finished
diff --git a/shell/msh_test/msh-vars/var_subst_in_for.tests b/shell/msh_test/msh-vars/var_subst_in_for.tests
deleted file mode 100755
index 4d1c11201..000000000
--- a/shell/msh_test/msh-vars/var_subst_in_for.tests
+++ /dev/null
@@ -1,40 +0,0 @@
-if test $# = 0; then
- exec "$THIS_SH" var_subst_in_for.tests abc "d e"
-fi
-
-echo 'Testing: in x y z'
-for a in x y z; do echo ".$a."; done
-
-echo 'Testing: in u $empty v'
-empty=''
-for a in u $empty v; do echo ".$a."; done
-
-echo 'Testing: in u " $empty" v'
-empty=''
-for a in u " $empty" v; do echo ".$a."; done
-
-echo 'Testing: in u $empty $empty$a v'
-a='a'
-for a in u $empty $empty$a v; do echo ".$a."; done
-
-echo 'Testing: in $a_b'
-a_b='a b'
-for a in $a_b; do echo ".$a."; done
-
-echo 'Testing: in $*'
-for a in $*; do echo ".$a."; done
-
-echo 'Testing: in $@'
-for a in $@; do echo ".$a."; done
-
-echo 'Testing: in -$*-'
-for a in -$*-; do echo ".$a."; done
-
-echo 'Testing: in -$@-'
-for a in -$@-; do echo ".$a."; done
-
-echo 'Testing: in $a_b -$a_b-'
-a_b='a b'
-for a in $a_b -$a_b-; do echo ".$a."; done
-
-echo Finished
diff --git a/shell/msh_test/run-all b/shell/msh_test/run-all
deleted file mode 100755
index 29f62a5e2..000000000
--- a/shell/msh_test/run-all
+++ /dev/null
@@ -1,64 +0,0 @@
-#!/bin/sh
-
-test -x msh || {
- echo "No ./msh - creating a link to ../../busybox"
- ln -s ../../busybox msh
-}
-
-PATH="$PWD:$PATH" # for msh
-export PATH
-
-THIS_SH="$PWD/msh"
-export THIS_SH
-
-do_test()
-{
- test -d "$1" || return 0
-# echo Running tests in directory "$1"
- (
- cd "$1" || { echo "cannot cd $1!"; exit 1; }
- for x in run-*; do
- test -f "$x" || continue
- case "$x" in
- "$0"|run-minimal|run-gprof) ;;
- *.orig|*~) ;;
- #*) echo $x ; sh $x ;;
- *)
- sh "$x" >"../$1-$x.fail" 2>&1 && \
- { echo "$1/$x: ok"; rm "../$1-$x.fail"; } || echo "$1/$x: fail";
- ;;
- esac
- done
- # Many bash run-XXX scripts just do this,
- # no point in duplication it all over the place
- for x in *.tests; do
- test -x "$x" || continue
- name="${x%%.tests}"
- test -f "$name.right" || continue
-# echo Running test: "$name.right"
- {
- "$THIS_SH" "./$x" >"$name.xx" 2>&1
- diff -u "$name.xx" "$name.right" >"../$1-$x.fail" && rm -f "$name.xx" "../$1-$x.fail"
- } && echo "$1/$x: ok" || echo "$1/$x: fail"
- done
- )
-}
-
-# Main part of this script
-# Usage: run-all [directories]
-
-if [ $# -lt 1 ]; then
- # All sub directories
- modules=`ls -d msh-*`
-
- for module in $modules; do
- do_test $module
- done
-else
- while [ $# -ge 1 ]; do
- if [ -d $1 ]; then
- do_test $1
- fi
- shift
- done
-fi